Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006883TestLinkFilters - Test Specificationpublic2015-01-12 19:382015-01-31 11:32
Reportert3knoid 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006883: Filtering by keyword shows unexpected folder j8ba8cfb-ca92-4fa5-83c2-551977d405fb
DescriptionWhen using the keyword filter to filter test cases in the Test Specification navigation, folders named j8ba8cfb-ca92-4fa5-83c2-551977d405fb shows up in the filtered result.

These spurious folders appear to represent test suites and test cases that yields empty result because of the filter. See attached screenshot.
Steps To Reproduce1. Create a test project.
2. Create keywords (e.g. K1, K2, K3) in the project.
3. Create test cases in test project and assign keywords to test cases.
4. Select Test Specification.
5. Select a keyword from the keyword list.
6. Click on Apply.

Observe that folders nodes are shown named j8ba8cfb-ca92-4fa5-83c2-551977d405fb in the result.
Additional InformationThis has been reported in another ticket but has since been closed.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox
PHP Version5.3.4
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon 1-12-2015 2-32-29 PM.png [^] (75,922 bytes) 2015-01-12 19:38

- Relationships
related to 0006682closedfman Keyword not working properly 

-  Notes
(0022474)
t3knoid (reporter)
2015-01-12 20:59

I reverted lib\functions\treeMenu.inc.php from 1.9.11 and the problem goes away. I will try to narrow down which change causes the problem and report back.
(0022482)
fman (administrator)
2015-01-14 12:34

Before doing any change to code get latest code from gitorious (branch 1.9),
Do a fresh install, retest and provide feedback.
Similar issue was reported in past.
Is related to use of test suite names with string 'null' as part of name.
(0022483)
fman (administrator)
2015-01-14 12:36

If you find another ticket closed : please provide ticket number (without this info your comment about the other ticket is useless).
I can not start doing double work looking for this ticket.
(0022496)
t3knoid (reporter)
2015-01-14 14:58

Sorry, I meant to do this. The related ticket is 6729 (http://mantis.testlink.org/view.php?id=6729 [^]).

I will try latest code.
(0022497)
fman (administrator)
2015-01-14 17:25

As you can see issue has been reported SOLVED on 1.9.13.
Then your issue is a duplicate.
Closing

- Issue History
Date Modified Username Field Change
2015-01-12 19:38 t3knoid New Issue
2015-01-12 19:38 t3knoid File Added: 1-12-2015 2-32-29 PM.png
2015-01-12 20:59 t3knoid Note Added: 0022474
2015-01-14 12:34 fman Note Added: 0022482
2015-01-14 12:36 fman Note Added: 0022483
2015-01-14 14:58 t3knoid Note Added: 0022496
2015-01-14 17:25 fman Note Added: 0022497
2015-01-14 17:26 fman QA Team - Task Workflow Status => TBD
2015-01-14 17:26 fman Status new => closed
2015-01-14 17:26 fman Assigned To => fman
2015-01-14 17:26 fman Resolution open => duplicate
2015-01-14 17:26 fman Fixed in Version => 1.9.13 (2015 #1)
2015-01-31 11:32 fman Relationship added related to 0006682



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker